CspResourceApi (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger

## Class CspResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.CspResourceApi

-     public class CspResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CspResourceApi()`
    `CspResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClient` | `getApiClient()`
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiCspArguments` | `uploadCspCert(ApiCspArguments body)` Upload CA certificates, client certificates and client key for Credential Storage Provider.
    `com.squareup.okhttp.Call` | `uploadCspCertAsync(ApiCspArguments body, ApiCallback<ApiCspArguments> callback)` Upload CA certificates, client certificates and client key for Credential Storage Provider.
    `com.squareup.okhttp.Call` | `uploadCspCertCall(ApiCspArguments body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for uploadCspCert
    `ApiResponse<ApiCspArguments>` | `uploadCspCertWithHttpInfo(ApiCspArguments body)` Upload CA certificates, client certificates and client key for Credential Storage Provider.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CspResourceApi

          public CspResourceApi()

    - #### CspResourceApi

          public CspResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### uploadCspCertCall

          public com.squareup.okhttp.Call uploadCspCertCall(ApiCspArguments body,
                                                            ProgressResponseBody.ProgressListener progressListener,
                                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                     throws ApiException

      Build call for uploadCspCert
      Parameters:
        `body` - Arguments for the CSP (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### uploadCspCert

          public ApiCspArguments uploadCspCert(ApiCspArguments body)
                                        throws ApiException

      Upload CA certificates, client certificates and client key for Credential Storage Provider. Upload CA certificates, client certificates and client key for Credential Storage Provider. CM server restart is needed for these certificates to be applied.
      Parameters:
        `body` - Arguments for the CSP (optional)
      Returns:
        ApiCspArguments
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### uploadCspCertWithHttpInfo

          public ApiResponse<ApiCspArguments> uploadCspCertWithHttpInfo(ApiCspArguments body)
                                                                 throws ApiException

      Upload CA certificates, client certificates and client key for Credential Storage Provider. Upload CA certificates, client certificates and client key for Credential Storage Provider. CM server restart is needed for these certificates to be applied.
      Parameters:
        `body` - Arguments for the CSP (optional)
      Returns:
        ApiResponse<ApiCspArguments>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### uploadCspCertAsync

          public com.squareup.okhttp.Call uploadCspCertAsync(ApiCspArguments body,
                                                             ApiCallback<ApiCspArguments> callback)
                                                      throws ApiException

      Upload CA certificates, client certificates and client key for Credential Storage Provider. (asynchronously) Upload CA certificates, client certificates and client key for Credential Storage Provider. CM server restart is needed for these certificates to be applied.
      Parameters:
        `body` - Arguments for the CSP (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2022. All rights reserved.